MGCLatticeODataEntityMetadata
Stores discovered OData data entity metadata for the OData Entity Metadata Explorer.
Fields
| Name | Type | Mandatory | Description |
|---|---|---|---|
EntityName | DMFEntityName | Yes | |
PublicCollectionName | MGCLatticePublicCollectionName | No | Public OData collection name used in the URL. |
PublicEntityName | MGCLatticePublicEntityName | No | Public OData entity name. |
EntityTable | TableName | No | |
PrimaryKey | MGCLatticePrimaryKeyFields | No | The entity's primary-key field(s); the key segment used in GET /entity(key). |
EntityCategory | DMFEntityCategory | No | |
SysModule | DMFModule | No | |
Tags | DMFEntityTags | No | |
IsObsolete | MGCLatticeIsObsolete | No | Indicates whether the entity is obsolete. |
IsReadOnly | MGCLatticeIsReadOnly | No | Indicates whether the entity is read-only. |
Description | MGCLatticeDescription | No | Free-text description. |
PackageName | MGCLatticePackageName | No | Name of the package or module. |
IsCustom | MGCLatticeIsCustom | No | Indicates a custom (non-Microsoft) artifact. |
IsPublic | MGCLatticeIsPublic | No | Indicates whether the entity is public. |
FieldCount | MGCLatticeRecordCount | No | A count of related records. |
MethodCount | MGCLatticeRecordCount | No | A count of related records. |
ContentHash | MGCLatticeContentHash | No | Discovery signature used for incremental refresh. |